Index: /palm/trunk/SOURCE/data_output_module.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_module.f90	(revision 4576)
+++ /palm/trunk/SOURCE/data_output_module.f90	(revision 4577)
@@ -3810,9 +3828,9 @@
 
        WRITE( write_format1, '(A,I3,A)' ) '(T', indent_level * indent_depth + 1, ',A'
-       WRITE( write_format2, '(A,I3,A,I3,A)' ) &
-          '(T', ( indent_level + 1 ) * indent_depth + 1, ',A,T', &
+       WRITE( write_format2, '(A,I3,A,I3,A)' )                                                     &
+          '(T', ( indent_level + 1 ) * indent_depth + 1, ',A,T',                                   &
           ( indent_level + 1 ) * indent_depth + 1 + max_keyname_length, ',(": ")'
 
-       WRITE( debug_output_unit, TRIM( write_format1 ) // ',A)' ) &
+       WRITE( debug_output_unit, TRIM( write_format1 ) // ',A)' )                                  &
           REPEAT( separation_string // ' ', 4 )
        WRITE( debug_output_unit, TRIM( write_format1 ) // ')' ) 'attributes:'
@@ -3820,29 +3838,29 @@
        nelement = SIZE( attributes )
        DO  i = 1, nelement
-          WRITE( debug_output_unit, TRIM( write_format2 ) // ',A)' ) &
+          WRITE( debug_output_unit, TRIM( write_format2 ) // ',A)' )                               &
              'name', TRIM( attributes(i)%name )
-          WRITE( debug_output_unit, TRIM( write_format2 ) // ',A)' ) &
+          WRITE( debug_output_unit, TRIM( write_format2 ) // ',A)' )                               &
              'type', TRIM( attributes(i)%data_type )
 
           IF ( TRIM( attributes(i)%data_type ) == 'char' )  THEN
-             WRITE( debug_output_unit, TRIM( write_format2 ) // ',A)' ) &
+             WRITE( debug_output_unit, TRIM( write_format2 ) // ',A)' )                            &
                 'value', TRIM( attributes(i)%value_char )
           ELSEIF ( TRIM( attributes(i)%data_type ) == 'int8' )  THEN
-             WRITE( debug_output_unit, TRIM( write_format2 ) // ',I4)' ) &
+             WRITE( debug_output_unit, TRIM( write_format2 ) // ',I4)' )                           &
                 'value', attributes(i)%value_int8
           ELSEIF ( TRIM( attributes(i)%data_type ) == 'int16' )  THEN
-             WRITE( debug_output_unit, TRIM( write_format2 ) // ',I6)' ) &
+             WRITE( debug_output_unit, TRIM( write_format2 ) // ',I6)' )                           &
                 'value', attributes(i)%value_int16
           ELSEIF ( TRIM( attributes(i)%data_type ) == 'int32' )  THEN
-             WRITE( debug_output_unit, TRIM( write_format2 ) // ',I11)' ) &
+             WRITE( debug_output_unit, TRIM( write_format2 ) // ',I11)' )                          &
                 'value', attributes(i)%value_int32
           ELSEIF ( TRIM( attributes(i)%data_type ) == 'real32' )  THEN
-             WRITE( debug_output_unit, TRIM( write_format2 ) // ',E14.7)' ) &
+             WRITE( debug_output_unit, TRIM( write_format2 ) // ',E14.7)' )                        &
                 'value', attributes(i)%value_real32
           ELSEIF (  TRIM(attributes(i)%data_type) == 'real64' )  THEN
-             WRITE( debug_output_unit, TRIM( write_format2 ) // ',E22.15)' ) &
+             WRITE( debug_output_unit, TRIM( write_format2 ) // ',E22.15)' )                       &
                 'value', attributes(i)%value_real64
           ENDIF
-          IF ( i < nelement )  &
+          IF ( i < nelement )                                                                      &
              WRITE( debug_output_unit, TRIM( write_format1 ) // ')' ) separation_string
        ENDDO
@@ -3850,10 +3868,12 @@
     END SUBROUTINE print_attributes
 
-!--------------------------------------------------------------------------------------------!
-    ! Description:
-    ! ------------
-    !> Print list of dimensions.
-!--------------------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Print list of dimensions.
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE print_dimensions( indent_level, dimensions )
+
+       INTEGER, PARAMETER  ::  max_keyname_length = 15  !< length of longest key name
 
        CHARACTER(LEN=50) ::  write_format1  !< format for write statements
@@ -3863,5 +3883,4 @@
        INTEGER, INTENT(IN) ::  indent_level             !< indentation level
        INTEGER             ::  j                        !< loop index
-       INTEGER, PARAMETER  ::  max_keyname_length = 15  !< length of longest key name
        INTEGER             ::  nelement                 !< number of elements to print
 
@@ -3872,9 +3891,9 @@
 
        WRITE( write_format1, '(A,I3,A)' ) '(T', indent_level * indent_depth + 1, ',A'
-       WRITE( write_format2, '(A,I3,A,I3,A)' ) &
-          '(T', ( indent_level + 1 ) * indent_depth + 1, ',A,T', &
+       WRITE( write_format2, '(A,I3,A,I3,A)' )                                                     &
+          '(T', ( indent_level + 1 ) * indent_depth + 1, ',A,T',                                   &
           ( indent_level + 1 ) * indent_depth + 1 + max_keyname_length, ',(": ")'
 
-       WRITE( debug_output_unit, TRIM( write_format1 ) // ',A)' ) &
+       WRITE( debug_output_unit, TRIM( write_format1 ) // ',A)' )                                  &
           REPEAT( separation_string // ' ', 4 )
        WRITE( debug_output_unit, TRIM( write_format1 ) // ')' ) 'dimensions:'
@@ -3885,23 +3904,23 @@
 !
 !--       Print general information
-          WRITE( debug_output_unit, TRIM( write_format2 ) // ',A)' ) &
+          WRITE( debug_output_unit, TRIM( write_format2 ) // ',A)' )                               &
              'name', TRIM( dimensions(i)%name )
-          WRITE( debug_output_unit, TRIM( write_format2 ) // ',A)' ) &
+          WRITE( debug_output_unit, TRIM( write_format2 ) // ',A)' )                               &
              'type', TRIM( dimensions(i)%data_type )
-          WRITE( debug_output_unit, TRIM( write_format2 ) // ',I7)' ) &
+          WRITE( debug_output_unit, TRIM( write_format2 ) // ',I7)' )                              &
              'id', dimensions(i)%id
-          WRITE( debug_output_unit, TRIM( write_format2 ) // ',I7)' ) &
+          WRITE( debug_output_unit, TRIM( write_format2 ) // ',I7)' )                              &
              'length', dimensions(i)%length
-          WRITE( debug_output_unit, TRIM( write_format2 ) // ',I7,A,I7)' ) &
+          WRITE( debug_output_unit, TRIM( write_format2 ) // ',I7,A,I7)' )                         &
              'bounds', dimensions(i)%bounds(1), ',', dimensions(i)%bounds(2)
-          WRITE( debug_output_unit, TRIM( write_format2 ) // ',L1)' ) &
+          WRITE( debug_output_unit, TRIM( write_format2 ) // ',L1)' )                              &
              'is masked', dimensions(i)%is_masked
 !
 !--       Print information about mask
           IF ( is_masked )  THEN
-             WRITE( debug_output_unit, TRIM( write_format2 ) // ',I7)' ) &
+             WRITE( debug_output_unit, TRIM( write_format2 ) // ',I7)' )                           &
                 'masked length', dimensions(i)%length_mask
 
-             WRITE( debug_output_unit, TRIM( write_format2 ) // ',L1)', ADVANCE='no' ) &
+             WRITE( debug_output_unit, TRIM( write_format2 ) // ',L1)', ADVANCE='no' )             &
                 'mask', dimensions(i)%mask(dimensions(i)%bounds(1))
              DO  j = dimensions(i)%bounds(1)+1, dimensions(i)%bounds(2)
@@ -3910,8 +3929,8 @@
              WRITE( debug_output_unit, '(A)' )  ''  ! write line-end
 
-             WRITE( debug_output_unit, TRIM( write_format2 ) // ',I6)', ADVANCE='no' ) &
+             WRITE( debug_output_unit, TRIM( write_format2 ) // ',I6)', ADVANCE='no' )             &
                 'masked indices', dimensions(i)%masked_indices(0)
              DO  j = 1, dimensions(i)%length_mask-1
-                WRITE( debug_output_unit, '(A,I6)', ADVANCE='no' ) &
+                WRITE( debug_output_unit, '(A,I6)', ADVANCE='no' )                                 &
                    ',', dimensions(i)%masked_indices(j)
              ENDDO
@@ -3922,16 +3941,16 @@
           IF ( ALLOCATED( dimensions(i)%values_int8 ) )  THEN
 
-             WRITE( debug_output_unit, TRIM( write_format2 ) // ',I4)', ADVANCE='no' ) &
+             WRITE( debug_output_unit, TRIM( write_format2 ) // ',I4)', ADVANCE='no' )             &
                 'values', dimensions(i)%values_int8(dimensions(i)%bounds(1))
              DO  j = dimensions(i)%bounds(1)+1, dimensions(i)%bounds(2)
-                WRITE( debug_output_unit, '(A,I4)', ADVANCE='no' ) &
+                WRITE( debug_output_unit, '(A,I4)', ADVANCE='no' )                                 &
                    ',', dimensions(i)%values_int8(j)
              ENDDO
              WRITE( debug_output_unit, '(A)' )  ''  ! write line-end
              IF ( is_masked )  THEN
-                WRITE( debug_output_unit, TRIM( write_format2 ) // ',I4)', ADVANCE='no' ) &
+                WRITE( debug_output_unit, TRIM( write_format2 ) // ',I4)', ADVANCE='no' )          &
                    'masked values', dimensions(i)%masked_values_int8(0)
                 DO  j = 1, dimensions(i)%length_mask-1
-                   WRITE( debug_output_unit, '(A,I4)', ADVANCE='no' ) &
+                   WRITE( debug_output_unit, '(A,I4)', ADVANCE='no' )                              &
                       ',', dimensions(i)%masked_values_int8(j)
                 ENDDO
@@ -3941,16 +3960,16 @@
           ELSEIF ( ALLOCATED( dimensions(i)%values_int16 ) )  THEN
 
-             WRITE( debug_output_unit, TRIM( write_format2 ) // ',I6)', ADVANCE='no' ) &
+             WRITE( debug_output_unit, TRIM( write_format2 ) // ',I6)', ADVANCE='no' )             &
                 'values', dimensions(i)%values_int16(dimensions(i)%bounds(1))
              DO  j = dimensions(i)%bounds(1)+1, dimensions(i)%bounds(2)
-                WRITE( debug_output_unit, '(A,I6)', ADVANCE='no' ) &
+                WRITE( debug_output_unit, '(A,I6)', ADVANCE='no' )                                 &
                    ',', dimensions(i)%values_int16(j)
              ENDDO
              WRITE( debug_output_unit, '(A)' )  ''  ! write line-end
              IF ( is_masked )  THEN
-                WRITE( debug_output_unit, TRIM( write_format2 ) // ',I6)', ADVANCE='no' ) &
+                WRITE( debug_output_unit, TRIM( write_format2 ) // ',I6)', ADVANCE='no' )          &
                    'masked values', dimensions(i)%masked_values_int16(0)
                 DO  j = 1, dimensions(i)%length_mask-1
-                   WRITE( debug_output_unit, '(A,I6)', ADVANCE='no' ) &
+                   WRITE( debug_output_unit, '(A,I6)', ADVANCE='no' )                              &
                       ',', dimensions(i)%masked_values_int16(j)
                 ENDDO
@@ -3960,16 +3979,16 @@
           ELSEIF ( ALLOCATED( dimensions(i)%values_int32 ) )  THEN
 
-             WRITE( debug_output_unit, TRIM( write_format2 ) // ',I11)', ADVANCE='no' ) &
+             WRITE( debug_output_unit, TRIM( write_format2 ) // ',I11)', ADVANCE='no' )            &
                 'values', dimensions(i)%values_int32(dimensions(i)%bounds(1))
              DO  j = dimensions(i)%bounds(1)+1, dimensions(i)%bounds(2)
-                WRITE( debug_output_unit, '(A,I11)', ADVANCE='no' ) &
+                WRITE( debug_output_unit, '(A,I11)', ADVANCE='no' )                                &
                    ',', dimensions(i)%values_int32(j)
              ENDDO
              WRITE( debug_output_unit, '(A)' )  ''  ! write line-end
              IF ( is_masked )  THEN
-                WRITE( debug_output_unit, TRIM( write_format2 ) // ',I11)', ADVANCE='no' ) &
+                WRITE( debug_output_unit, TRIM( write_format2 ) // ',I11)', ADVANCE='no' )         &
                    'masked values', dimensions(i)%masked_values_int32(0)
                 DO  j = 1, dimensions(i)%length_mask-1
-                   WRITE( debug_output_unit, '(A,I11)', ADVANCE='no' ) &
+                   WRITE( debug_output_unit, '(A,I11)', ADVANCE='no' )                             &
                       ',', dimensions(i)%masked_values_int32(j)
                 ENDDO
@@ -3979,16 +3998,16 @@
           ELSEIF ( ALLOCATED( dimensions(i)%values_intwp ) )  THEN
 
-             WRITE( debug_output_unit, TRIM( write_format2 ) // ',I11)', ADVANCE='no' ) &
+             WRITE( debug_output_unit, TRIM( write_format2 ) // ',I11)', ADVANCE='no' )            &
                 'values', dimensions(i)%values_intwp(dimensions(i)%bounds(1))
              DO  j = dimensions(i)%bounds(1)+1, dimensions(i)%bounds(2)
-                WRITE( debug_output_unit, '(A,I11)', ADVANCE='no' ) &
+                WRITE( debug_output_unit, '(A,I11)', ADVANCE='no' )                                &
                    ',', dimensions(i)%values_intwp(j)
              ENDDO
              WRITE( debug_output_unit, '(A)' )  ''  ! write line-end
              IF ( is_masked )  THEN
-                WRITE( debug_output_unit, TRIM( write_format2 ) // ',I11)', ADVANCE='no' ) &
+                WRITE( debug_output_unit, TRIM( write_format2 ) // ',I11)', ADVANCE='no' )         &
                    'masked values', dimensions(i)%masked_values_intwp(0)
                 DO  j = 1, dimensions(i)%length_mask-1
-                   WRITE( debug_output_unit, '(A,I11)', ADVANCE='no' ) &
+                   WRITE( debug_output_unit, '(A,I11)', ADVANCE='no' )                             &
                       ',', dimensions(i)%masked_values_intwp(j)
                 ENDDO
@@ -3998,16 +4017,16 @@
           ELSEIF ( ALLOCATED( dimensions(i)%values_real32 ) )  THEN
 
-             WRITE( debug_output_unit, TRIM( write_format2 ) // ',E14.7)', ADVANCE='no' ) &
+             WRITE( debug_output_unit, TRIM( write_format2 ) // ',E14.7)', ADVANCE='no' )          &
                 'values', dimensions(i)%values_real32(dimensions(i)%bounds(1))
              DO  j = dimensions(i)%bounds(1)+1, dimensions(i)%bounds(2)
-                WRITE( debug_output_unit, '(A,E14.7)', ADVANCE='no' ) &
+                WRITE( debug_output_unit, '(A,E14.7)', ADVANCE='no' )                              &
                    ',', dimensions(i)%values_real32(j)
              ENDDO
              WRITE( debug_output_unit, '(A)' )  ''  ! write line-end
              IF ( is_masked )  THEN
-                WRITE( debug_output_unit, TRIM( write_format2 ) // ',E14.7)', ADVANCE='no' ) &
+                WRITE( debug_output_unit, TRIM( write_format2 ) // ',E14.7)', ADVANCE='no' )       &
                    'masked values', dimensions(i)%masked_values_real32(0)
                 DO  j = 1, dimensions(i)%length_mask-1
-                   WRITE( debug_output_unit, '(A,E14.7)', ADVANCE='no' ) &
+                   WRITE( debug_output_unit, '(A,E14.7)', ADVANCE='no' )                           &
                       ',', dimensions(i)%masked_values_real32(j)
                 ENDDO
@@ -4017,16 +4036,16 @@
           ELSEIF ( ALLOCATED( dimensions(i)%values_real64 ) )  THEN
 
-             WRITE( debug_output_unit, TRIM( write_format2 ) // ',E22.15)', ADVANCE='no' ) &
+             WRITE( debug_output_unit, TRIM( write_format2 ) // ',E22.15)', ADVANCE='no' )         &
                 'values', dimensions(i)%values_real64(dimensions(i)%bounds(1))
              DO  j = dimensions(i)%bounds(1)+1, dimensions(i)%bounds(2)
-                WRITE( debug_output_unit, '(A,E22.15)', ADVANCE='no' ) &
+                WRITE( debug_output_unit, '(A,E22.15)', ADVANCE='no' )                             &
                    ',', dimensions(i)%values_real64(j)
              ENDDO
              WRITE( debug_output_unit, '(A)' )  ''  ! write line-end
              IF ( is_masked )  THEN
-                WRITE( debug_output_unit, TRIM( write_format2 ) // ',E22.15)', ADVANCE='no' ) &
+                WRITE( debug_output_unit, TRIM( write_format2 ) // ',E22.15)', ADVANCE='no' )      &
                    'masked values', dimensions(i)%masked_values_real64(0)
                 DO  j = 1, dimensions(i)%length_mask-1
-                   WRITE( debug_output_unit, '(A,E22.15)', ADVANCE='no' ) &
+                   WRITE( debug_output_unit, '(A,E22.15)', ADVANCE='no' )                          &
                       ',', dimensions(i)%masked_values_real64(j)
                 ENDDO
@@ -4036,16 +4055,16 @@
           ELSEIF ( ALLOCATED( dimensions(i)%values_realwp ) )  THEN
 
-             WRITE( debug_output_unit, TRIM( write_format2 ) // ',E22.15)', ADVANCE='no' ) &
+             WRITE( debug_output_unit, TRIM( write_format2 ) // ',E22.15)', ADVANCE='no' )         &
                 'values', dimensions(i)%values_realwp(dimensions(i)%bounds(1))
              DO  j = dimensions(i)%bounds(1)+1, dimensions(i)%bounds(2)
-                WRITE( debug_output_unit, '(A,E22.15)', ADVANCE='no' ) &
+                WRITE( debug_output_unit, '(A,E22.15)', ADVANCE='no' )                             &
                    ',', dimensions(i)%values_realwp(j)
              ENDDO
              WRITE( debug_output_unit, '(A)' )  ''  ! write line-end
              IF ( is_masked )  THEN
-                WRITE( debug_output_unit, TRIM( write_format2 ) // ',E22.15)', ADVANCE='no' ) &
+                WRITE( debug_output_unit, TRIM( write_format2 ) // ',E22.15)', ADVANCE='no' )      &
                    'masked values', dimensions(i)%masked_values_realwp(0)
                 DO  j = 1, dimensions(i)%length_mask-1
-                   WRITE( debug_output_unit, '(A,E22.15)', ADVANCE='no' ) &
+                   WRITE( debug_output_unit, '(A,E22.15)', ADVANCE='no' )                          &
                       ',', dimensions(i)%masked_values_realwp(j)
                 ENDDO
@@ -4055,8 +4074,8 @@
           ENDIF
 
-          IF ( ALLOCATED( dimensions(i)%attributes ) )  &
+          IF ( ALLOCATED( dimensions(i)%attributes ) )                                             &
              CALL print_attributes( indent_level+1, dimensions(i)%attributes )
 
-          IF ( i < nelement )  &
+          IF ( i < nelement )                                                                      &
              WRITE( debug_output_unit, TRIM( write_format1 ) // ')' ) separation_string
        ENDDO
@@ -4064,10 +4083,12 @@
     END SUBROUTINE print_dimensions
 
-!--------------------------------------------------------------------------------------------!
-    ! Description:
-    ! ------------
-    !> Print list of variables.
-!--------------------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Print list of variables.
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE print_variables( indent_level, variables )
+
+       INTEGER, PARAMETER  ::  max_keyname_length = 16  !< length of longest key name
 
        CHARACTER(LEN=50) ::  write_format1  !< format for write statements
@@ -4077,5 +4098,4 @@
        INTEGER, INTENT(IN) ::  indent_level             !< indentation level
        INTEGER             ::  j                        !< loop index
-       INTEGER, PARAMETER  ::  max_keyname_length = 16  !< length of longest key name
        INTEGER             ::  nelement                 !< number of elements to print
 
@@ -4084,9 +4104,9 @@
 
        WRITE( write_format1, '(A,I3,A)' ) '(T', indent_level * indent_depth + 1, ',A'
-       WRITE( write_format2, '(A,I3,A,I3,A)' ) &
-          '(T', ( indent_level + 1 ) * indent_depth + 1, ',A,T', &
+       WRITE( write_format2, '(A,I3,A,I3,A)' )                                                     &
+          '(T', ( indent_level + 1 ) * indent_depth + 1, ',A,T',                                   &
           ( indent_level + 1 ) * indent_depth + 1 + max_keyname_length, ',(": ")'
 
-       WRITE( debug_output_unit, TRIM( write_format1 ) // ',A)' ) &
+       WRITE( debug_output_unit, TRIM( write_format1 ) // ',A)' )                                  &
           REPEAT( separation_string // ' ', 4 )
        WRITE( debug_output_unit, TRIM( write_format1 ) // ')' ) 'variables:'
@@ -4094,32 +4114,32 @@
        nelement = SIZE( variables )
        DO  i = 1, nelement
-          WRITE( debug_output_unit, TRIM( write_format2 ) // ',A)' ) &
+          WRITE( debug_output_unit, TRIM( write_format2 ) // ',A)' )                               &
              'name', TRIM( variables(i)%name )
-          WRITE( debug_output_unit, TRIM( write_format2 ) // ',A)' ) &
+          WRITE( debug_output_unit, TRIM( write_format2 ) // ',A)' )                               &
              'type', TRIM( variables(i)%data_type )
-          WRITE( debug_output_unit, TRIM( write_format2 ) // ',I7)' ) &
+          WRITE( debug_output_unit, TRIM( write_format2 ) // ',I7)' )                              &
              'id', variables(i)%id
-          WRITE( debug_output_unit, TRIM( write_format2 ) // ',L1)' ) &
+          WRITE( debug_output_unit, TRIM( write_format2 ) // ',L1)' )                              &
              'is global', variables(i)%is_global
 
-          WRITE( debug_output_unit, TRIM( write_format2 ) // ',A)', ADVANCE='no' ) &
+          WRITE( debug_output_unit, TRIM( write_format2 ) // ',A)', ADVANCE='no' )                 &
              'dimension names', TRIM( variables(i)%dimension_names(1) )
           DO  j = 2, SIZE( variables(i)%dimension_names )
-             WRITE( debug_output_unit, '(A,A)', ADVANCE='no' ) &
+             WRITE( debug_output_unit, '(A,A)', ADVANCE='no' )                                     &
                 ',', TRIM( variables(i)%dimension_names(j) )
           ENDDO
           WRITE( debug_output_unit, '(A)' )  ''  ! write line-end
 
-          WRITE( debug_output_unit, TRIM( write_format2 ) // ',I7)', ADVANCE='no' ) &
+          WRITE( debug_output_unit, TRIM( write_format2 ) // ',I7)', ADVANCE='no' )                &
              'dimension ids', variables(i)%dimension_ids(1)
           DO  j = 2, SIZE( variables(i)%dimension_names )
-             WRITE( debug_output_unit, '(A,I7)', ADVANCE='no' ) &
+             WRITE( debug_output_unit, '(A,I7)', ADVANCE='no' )                                    &
                 ',', variables(i)%dimension_ids(j)
           ENDDO
           WRITE( debug_output_unit, '(A)' )  ''  ! write line-end
 
-          IF ( ALLOCATED( variables(i)%attributes ) )  &
+          IF ( ALLOCATED( variables(i)%attributes ) )                                              &
              CALL print_attributes( indent_level+1, variables(i)%attributes )
-          IF ( i < nelement )  &
+          IF ( i < nelement )                                                                      &
              WRITE( debug_output_unit, TRIM( write_format1 ) // ')' ) separation_string
        ENDDO
